#!/bin/bash

# Отримуємо параметри
for arg in "$@"; do
  case $arg in
    --port=*)
      port="${arg#*=}"
      ;;
    --proj=*)
      proj="${arg#*=}"
      ;;
    *)
      # Інші параметри (якщо потрібно обробити)
      ;;
  esac
done

# Перевіряємо, чи є значення port та proj та додаємо їх до файлу proj.yml
if [ -n "$port" ] && [ -n "$proj" ]; then
  echo "port: $port" > proj.yml
  echo "proj: $proj" >> proj.yml
elif [ -n "$port" ]; then
  echo "port: $port" > proj.yml
  echo "proj: k2" >> proj.yml
elif [ -n "$proj" ]; then
  echo "port: 7654" > proj.yml
  echo "proj: $proj" >> proj.yml
else
  echo "port: 7654" > proj.yml
  echo "proj: k2" >> proj.yml
fi

bash check_python.sh

echo "Activating virtual environment..."
source venv/bin/activate

# Запускаємо Gunicorn в фоновому режимі
if [ -n "$port" ]; then
  #cd k2 && gunicorn --bind 127.0.0.1:$port app:app --threads 8 --log-level=debug --access-logfile=logs/access.log & # --workers 3
  cd k2 && gunicorn -k geventwebsocket.gunicorn.workers.GeventWebSocketWorker --bind 127.0.0.1:$port app:app  --graceful-timeout 180 --log-level=debug --access-logfile=../logs/access.log & # --workers 3 --no-sendfile
else
  cd k2 && gunicorn -k geventwebsocket.gunicorn.workers.GeventWebSocketWorker --bind 127.0.0.1:7654 app:app --graceful-timeout 180 --log-level=debug --access-logfile=../logs/access.log & # --workers 3 --no-sendfile
  #cd k2 && gunicorn --bind 127.0.0.1:$port app:app --threads 8  --log-level=debug --access-logfile=logs/access.log &
fi


sleep 3

## Відкриття браузера
if [ -n "$port" ]; then
  xdg-open "http://127.0.0.1:$port"
fi

read -p "Press Enter to exit..."

